### YamlMime:ManagedReference
items:
- uid: adas_core.Domain.Models.Filter.PaginationFilter
  commentId: T:adas_core.Domain.Models.Filter.PaginationFilter
  id: PaginationFilter
  parent: adas_core.Domain.Models.Filter
  children:
  - adas_core.Domain.Models.Filter.PaginationFilter.#ctor
  - adas_core.Domain.Models.Filter.PaginationFilter.#ctor(System.Int32,System.Int32,adas_core.Domain.Models.Filter.FilteredRequest)
  - adas_core.Domain.Models.Filter.PaginationFilter.FilteredRequest
  - adas_core.Domain.Models.Filter.PaginationFilter.IsEmpty
  - adas_core.Domain.Models.Filter.PaginationFilter.PageNumber
  - adas_core.Domain.Models.Filter.PaginationFilter.PageSize
  langs:
  - csharp
  - vb
  name: PaginationFilter
  nameWithType: PaginationFilter
  fullName: adas_core.Domain.Models.Filter.PaginationFilter
  type: Class
  source:
    remote:
      path: adas-core.Domain/Models/Filter/PaginationFilter.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: PaginationFilter
    path: ../../adas-core.Domain/Models/Filter/PaginationFilter.cs
    startLine: 2
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Models.Filter
  syntax:
    content: 'public record PaginationFilter : IEquatable<PaginationFilter>'
    content.vb: Public Class PaginationFilter Implements IEquatable(Of PaginationFilter)
  inheritance:
  - System.Object
  implements:
  - System.IEquatable{adas_core.Domain.Models.Filter.PaginationFilter}
  inheritedMembers:
  - System.Object.Equals(System.Object)
  - System.Object.Equals(System.Object,System.Object)
  - System.Object.GetHashCode
  - System.Object.GetType
  - System.Object.MemberwiseClone
  - System.Object.ReferenceEquals(System.Object,System.Object)
  - System.Object.ToString
  extensionMethods:
  - System.Object.adas_core.Domain.Utils.NumberUtils.IsNumber
  - System.Object.adas_core.Domain.Utils.NumberUtils.ToDouble
  - System.Object.adas_core.Domain.Utils.ObjectUtils.ToStr
- uid: adas_core.Domain.Models.Filter.PaginationFilter.#ctor
  commentId: M:adas_core.Domain.Models.Filter.PaginationFilter.#ctor
  id: '#ctor'
  parent: adas_core.Domain.Models.Filter.PaginationFilter
  langs:
  - csharp
  - vb
  name: PaginationFilter()
  nameWithType: PaginationFilter.PaginationFilter()
  fullName: adas_core.Domain.Models.Filter.PaginationFilter.PaginationFilter()
  type: Constructor
  source:
    remote:
      path: adas-core.Domain/Models/Filter/PaginationFilter.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: .ctor
    path: ../../adas-core.Domain/Models/Filter/PaginationFilter.cs
    startLine: 4
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Models.Filter
  syntax:
    content: public PaginationFilter()
    content.vb: Public Sub New()
  overload: adas_core.Domain.Models.Filter.PaginationFilter.#ctor*
  nameWithType.vb: PaginationFilter.New()
  fullName.vb: adas_core.Domain.Models.Filter.PaginationFilter.New()
  name.vb: New()
- uid: adas_core.Domain.Models.Filter.PaginationFilter.#ctor(System.Int32,System.Int32,adas_core.Domain.Models.Filter.FilteredRequest)
  commentId: M:adas_core.Domain.Models.Filter.PaginationFilter.#ctor(System.Int32,System.Int32,adas_core.Domain.Models.Filter.FilteredRequest)
  id: '#ctor(System.Int32,System.Int32,adas_core.Domain.Models.Filter.FilteredRequest)'
  parent: adas_core.Domain.Models.Filter.PaginationFilter
  langs:
  - csharp
  - vb
  name: PaginationFilter(int, int, FilteredRequest?)
  nameWithType: PaginationFilter.PaginationFilter(int, int, FilteredRequest?)
  fullName: adas_core.Domain.Models.Filter.PaginationFilter.PaginationFilter(int, int, adas_core.Domain.Models.Filter.FilteredRequest?)
  type: Constructor
  source:
    remote:
      path: adas-core.Domain/Models/Filter/PaginationFilter.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: .ctor
    path: ../../adas-core.Domain/Models/Filter/PaginationFilter.cs
    startLine: 8
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Models.Filter
  syntax:
    content: public PaginationFilter(int pageNumber, int pageSize, FilteredRequest? filtered)
    parameters:
    - id: pageNumber
      type: System.Int32
    - id: pageSize
      type: System.Int32
    - id: filtered
      type: adas_core.Domain.Models.Filter.FilteredRequest
    content.vb: Public Sub New(pageNumber As Integer, pageSize As Integer, filtered As FilteredRequest)
  overload: adas_core.Domain.Models.Filter.PaginationFilter.#ctor*
  nameWithType.vb: PaginationFilter.New(Integer, Integer, FilteredRequest)
  fullName.vb: adas_core.Domain.Models.Filter.PaginationFilter.New(Integer, Integer, adas_core.Domain.Models.Filter.FilteredRequest)
  name.vb: New(Integer, Integer, FilteredRequest)
- uid: adas_core.Domain.Models.Filter.PaginationFilter.PageNumber
  commentId: P:adas_core.Domain.Models.Filter.PaginationFilter.PageNumber
  id: PageNumber
  parent: adas_core.Domain.Models.Filter.PaginationFilter
  langs:
  - csharp
  - vb
  name: PageNumber
  nameWithType: PaginationFilter.PageNumber
  fullName: adas_core.Domain.Models.Filter.PaginationFilter.PageNumber
  type: Property
  source:
    remote:
      path: adas-core.Domain/Models/Filter/PaginationFilter.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: PageNumber
    path: ../../adas-core.Domain/Models/Filter/PaginationFilter.cs
    startLine: 15
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Models.Filter
  syntax:
    content: public int PageNumber { get; set; }
    parameters: []
    return:
      type: System.Int32
    content.vb: Public Property PageNumber As Integer
  overload: adas_core.Domain.Models.Filter.PaginationFilter.PageNumber*
- uid: adas_core.Domain.Models.Filter.PaginationFilter.PageSize
  commentId: P:adas_core.Domain.Models.Filter.PaginationFilter.PageSize
  id: PageSize
  parent: adas_core.Domain.Models.Filter.PaginationFilter
  langs:
  - csharp
  - vb
  name: PageSize
  nameWithType: PaginationFilter.PageSize
  fullName: adas_core.Domain.Models.Filter.PaginationFilter.PageSize
  type: Property
  source:
    remote:
      path: adas-core.Domain/Models/Filter/PaginationFilter.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: PageSize
    path: ../../adas-core.Domain/Models/Filter/PaginationFilter.cs
    startLine: 16
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Models.Filter
  syntax:
    content: public int PageSize { get; set; }
    parameters: []
    return:
      type: System.Int32
    content.vb: Public Property PageSize As Integer
  overload: adas_core.Domain.Models.Filter.PaginationFilter.PageSize*
- uid: adas_core.Domain.Models.Filter.PaginationFilter.FilteredRequest
  commentId: P:adas_core.Domain.Models.Filter.PaginationFilter.FilteredRequest
  id: FilteredRequest
  parent: adas_core.Domain.Models.Filter.PaginationFilter
  langs:
  - csharp
  - vb
  name: FilteredRequest
  nameWithType: PaginationFilter.FilteredRequest
  fullName: adas_core.Domain.Models.Filter.PaginationFilter.FilteredRequest
  type: Property
  source:
    remote:
      path: adas-core.Domain/Models/Filter/PaginationFilter.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: FilteredRequest
    path: ../../adas-core.Domain/Models/Filter/PaginationFilter.cs
    startLine: 17
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Models.Filter
  syntax:
    content: public FilteredRequest? FilteredRequest { get; set; }
    parameters: []
    return:
      type: adas_core.Domain.Models.Filter.FilteredRequest
    content.vb: Public Property FilteredRequest As FilteredRequest
  overload: adas_core.Domain.Models.Filter.PaginationFilter.FilteredRequest*
- uid: adas_core.Domain.Models.Filter.PaginationFilter.IsEmpty
  commentId: M:adas_core.Domain.Models.Filter.PaginationFilter.IsEmpty
  id: IsEmpty
  parent: adas_core.Domain.Models.Filter.PaginationFilter
  langs:
  - csharp
  - vb
  name: IsEmpty()
  nameWithType: PaginationFilter.IsEmpty()
  fullName: adas_core.Domain.Models.Filter.PaginationFilter.IsEmpty()
  type: Method
  source:
    remote:
      path: adas-core.Domain/Models/Filter/PaginationFilter.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: IsEmpty
    path: ../../adas-core.Domain/Models/Filter/PaginationFilter.cs
    startLine: 23
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Models.Filter
  summary: Determines whether the pagination state is considered empty by checking if both <code>PageNumber</code> and <code>PageSize</code> are less than or equal to zero.
  example: []
  syntax:
    content: public bool IsEmpty()
    return:
      type: System.Boolean
      description: <code>true</code> if both <code>PageNumber</code> and <code>PageSize</code> are less than or equal to zero; otherwise, <code>false</code>.
    content.vb: Public Function IsEmpty() As Boolean
  overload: adas_core.Domain.Models.Filter.PaginationFilter.IsEmpty*
references:
- uid: adas_core.Domain.Models.Filter
  commentId: N:adas_core.Domain.Models.Filter
  href: adas_core.html
  name: adas_core.Domain.Models.Filter
  nameWithType: adas_core.Domain.Models.Filter
  fullName: adas_core.Domain.Models.Filter
  spec.csharp:
  - uid: adas_core
    name: adas_core
    href: adas_core.html
  - name: .
  - uid: adas_core.Domain
    name: Domain
    href: adas_core.Domain.html
  - name: .
  - uid: adas_core.Domain.Models
    name: Models
    href: adas_core.Domain.Models.html
  - name: .
  - uid: adas_core.Domain.Models.Filter
    name: Filter
    href: adas_core.Domain.Models.Filter.html
  spec.vb:
  - uid: adas_core
    name: adas_core
    href: adas_core.html
  - name: .
  - uid: adas_core.Domain
    name: Domain
    href: adas_core.Domain.html
  - name: .
  - uid: adas_core.Domain.Models
    name: Models
    href: adas_core.Domain.Models.html
  - name: .
  - uid: adas_core.Domain.Models.Filter
    name: Filter
    href: adas_core.Domain.Models.Filter.html
- uid: System.Object
  commentId: T:System.Object
  parent: System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object
  name: object
  nameWithType: object
  fullName: object
  nameWithType.vb: Object
  fullName.vb: Object
  name.vb: Object
- uid: System.IEquatable{adas_core.Domain.Models.Filter.PaginationFilter}
  commentId: T:System.IEquatable{adas_core.Domain.Models.Filter.PaginationFilter}
  parent: System
  definition: System.IEquatable`1
  href: https://learn.microsoft.com/dotnet/api/system.iequatable-1
  name: IEquatable<PaginationFilter>
  nameWithType: IEquatable<PaginationFilter>
  fullName: System.IEquatable<adas_core.Domain.Models.Filter.PaginationFilter>
  nameWithType.vb: IEquatable(Of PaginationFilter)
  fullName.vb: System.IEquatable(Of adas_core.Domain.Models.Filter.PaginationFilter)
  name.vb: IEquatable(Of PaginationFilter)
  spec.csharp:
  - uid: System.IEquatable`1
    name: IEquatable
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.iequatable-1
  - name: <
  - uid: adas_core.Domain.Models.Filter.PaginationFilter
    name: PaginationFilter
    href: adas_core.Domain.Models.Filter.PaginationFilter.html
  - name: '>'
  spec.vb:
  - uid: System.IEquatable`1
    name: IEquatable
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.iequatable-1
  - name: (
  - name: Of
  - name: " "
  - uid: adas_core.Domain.Models.Filter.PaginationFilter
    name: PaginationFilter
    href: adas_core.Domain.Models.Filter.PaginationFilter.html
  - name: )
- uid: System.Object.Equals(System.Object)
  commentId: M:System.Object.Equals(System.Object)
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object)
  name: Equals(object)
  nameWithType: object.Equals(object)
  fullName: object.Equals(object)
  nameWithType.vb: Object.Equals(Object)
  fullName.vb: Object.Equals(Object)
  name.vb: Equals(Object)
  spec.csharp:
  - uid: System.Object.Equals(System.Object)
    name: Equals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object)
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: System.Object.Equals(System.Object)
    name: Equals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object)
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: System.Object.Equals(System.Object,System.Object)
  commentId: M:System.Object.Equals(System.Object,System.Object)
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object-system-object)
  name: Equals(object, object)
  nameWithType: object.Equals(object, object)
  fullName: object.Equals(object, object)
  nameWithType.vb: Object.Equals(Object, Object)
  fullName.vb: Object.Equals(Object, Object)
  name.vb: Equals(Object, Object)
  spec.csharp:
  - uid: System.Object.Equals(System.Object,System.Object)
    name: Equals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object-system-object)
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: ','
  - name: " "
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: System.Object.Equals(System.Object,System.Object)
    name: Equals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object-system-object)
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: ','
  - name: " "
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: System.Object.GetHashCode
  commentId: M:System.Object.GetHashCode
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.gethashcode
  name: GetHashCode()
  nameWithType: object.GetHashCode()
  fullName: object.GetHashCode()
  nameWithType.vb: Object.GetHashCode()
  fullName.vb: Object.GetHashCode()
  spec.csharp:
  - uid: System.Object.GetHashCode
    name: GetHashCode
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.gethashcode
  - name: (
  - name: )
  spec.vb:
  - uid: System.Object.GetHashCode
    name: GetHashCode
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.gethashcode
  - name: (
  - name: )
- uid: System.Object.GetType
  commentId: M:System.Object.GetType
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.gettype
  name: GetType()
  nameWithType: object.GetType()
  fullName: object.GetType()
  nameWithType.vb: Object.GetType()
  fullName.vb: Object.GetType()
  spec.csharp:
  - uid: System.Object.GetType
    name: GetType
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.gettype
  - name: (
  - name: )
  spec.vb:
  - uid: System.Object.GetType
    name: GetType
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.gettype
  - name: (
  - name: )
- uid: System.Object.MemberwiseClone
  commentId: M:System.Object.MemberwiseClone
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.memberwiseclone
  name: MemberwiseClone()
  nameWithType: object.MemberwiseClone()
  fullName: object.MemberwiseClone()
  nameWithType.vb: Object.MemberwiseClone()
  fullName.vb: Object.MemberwiseClone()
  spec.csharp:
  - uid: System.Object.MemberwiseClone
    name: MemberwiseClone
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.memberwiseclone
  - name: (
  - name: )
  spec.vb:
  - uid: System.Object.MemberwiseClone
    name: MemberwiseClone
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.memberwiseclone
  - name: (
  - name: )
- uid: System.Object.ReferenceEquals(System.Object,System.Object)
  commentId: M:System.Object.ReferenceEquals(System.Object,System.Object)
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.referenceequals
  name: ReferenceEquals(object, object)
  nameWithType: object.ReferenceEquals(object, object)
  fullName: object.ReferenceEquals(object, object)
  nameWithType.vb: Object.ReferenceEquals(Object, Object)
  fullName.vb: Object.ReferenceEquals(Object, Object)
  name.vb: ReferenceEquals(Object, Object)
  spec.csharp:
  - uid: System.Object.ReferenceEquals(System.Object,System.Object)
    name: ReferenceEquals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.referenceequals
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: ','
  - name: " "
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: System.Object.ReferenceEquals(System.Object,System.Object)
    name: ReferenceEquals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.referenceequals
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: ','
  - name: " "
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: System.Object.ToString
  commentId: M:System.Object.ToString
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.tostring
  name: ToString()
  nameWithType: object.ToString()
  fullName: object.ToString()
  nameWithType.vb: Object.ToString()
  fullName.vb: Object.ToString()
  spec.csharp:
  - uid: System.Object.ToString
    name: ToString
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.tostring
  - name: (
  - name: )
  spec.vb:
  - uid: System.Object.ToString
    name: ToString
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.tostring
  - name: (
  - name: )
- uid: System.Object.adas_core.Domain.Utils.NumberUtils.IsNumber
  commentId: M:adas_core.Domain.Utils.NumberUtils.IsNumber(System.Object)
  parent: adas_core.Domain.Utils.NumberUtils
  definition: adas_core.Domain.Utils.NumberUtils.IsNumber(System.Object)
  href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_IsNumber_System_Object_
  name: IsNumber(object)
  nameWithType: NumberUtils.IsNumber(object)
  fullName: adas_core.Domain.Utils.NumberUtils.IsNumber(object)
  nameWithType.vb: NumberUtils.IsNumber(Object)
  fullName.vb: adas_core.Domain.Utils.NumberUtils.IsNumber(Object)
  name.vb: IsNumber(Object)
  spec.csharp:
  - uid: adas_core.Domain.Utils.NumberUtils.IsNumber(System.Object)
    name: IsNumber
    href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_IsNumber_System_Object_
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: adas_core.Domain.Utils.NumberUtils.IsNumber(System.Object)
    name: IsNumber
    href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_IsNumber_System_Object_
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: System.Object.adas_core.Domain.Utils.NumberUtils.ToDouble
  commentId: M:adas_core.Domain.Utils.NumberUtils.ToDouble(System.Object)
  parent: adas_core.Domain.Utils.NumberUtils
  definition: adas_core.Domain.Utils.NumberUtils.ToDouble(System.Object)
  href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_ToDouble_System_Object_
  name: ToDouble(object)
  nameWithType: NumberUtils.ToDouble(object)
  fullName: adas_core.Domain.Utils.NumberUtils.ToDouble(object)
  nameWithType.vb: NumberUtils.ToDouble(Object)
  fullName.vb: adas_core.Domain.Utils.NumberUtils.ToDouble(Object)
  name.vb: ToDouble(Object)
  spec.csharp:
  - uid: adas_core.Domain.Utils.NumberUtils.ToDouble(System.Object)
    name: ToDouble
    href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_ToDouble_System_Object_
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: adas_core.Domain.Utils.NumberUtils.ToDouble(System.Object)
    name: ToDouble
    href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_ToDouble_System_Object_
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: System.Object.adas_core.Domain.Utils.ObjectUtils.ToStr
  commentId: M:adas_core.Domain.Utils.ObjectUtils.ToStr(System.Object)
  parent: adas_core.Domain.Utils.ObjectUtils
  definition: adas_core.Domain.Utils.ObjectUtils.ToStr(System.Object)
  href: adas_core.Domain.Utils.ObjectUtils.html#adas_core_Domain_Utils_ObjectUtils_ToStr_System_Object_
  name: ToStr(object)
  nameWithType: ObjectUtils.ToStr(object)
  fullName: adas_core.Domain.Utils.ObjectUtils.ToStr(object)
  nameWithType.vb: ObjectUtils.ToStr(Object)
  fullName.vb: adas_core.Domain.Utils.ObjectUtils.ToStr(Object)
  name.vb: ToStr(Object)
  spec.csharp:
  - uid: adas_core.Domain.Utils.ObjectUtils.ToStr(System.Object)
    name: ToStr
    href: adas_core.Domain.Utils.ObjectUtils.html#adas_core_Domain_Utils_ObjectUtils_ToStr_System_Object_
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: adas_core.Domain.Utils.ObjectUtils.ToStr(System.Object)
    name: ToStr
    href: adas_core.Domain.Utils.ObjectUtils.html#adas_core_Domain_Utils_ObjectUtils_ToStr_System_Object_
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: System
  commentId: N:System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system
  name: System
  nameWithType: System
  fullName: System
- uid: System.IEquatable`1
  commentId: T:System.IEquatable`1
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.iequatable-1
  name: IEquatable<T>
  nameWithType: IEquatable<T>
  fullName: System.IEquatable<T>
  nameWithType.vb: IEquatable(Of T)
  fullName.vb: System.IEquatable(Of T)
  name.vb: IEquatable(Of T)
  spec.csharp:
  - uid: System.IEquatable`1
    name: IEquatable
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.iequatable-1
  - name: <
  - name: T
  - name: '>'
  spec.vb:
  - uid: System.IEquatable`1
    name: IEquatable
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.iequatable-1
  - name: (
  - name: Of
  - name: " "
  - name: T
  - name: )
- uid: adas_core.Domain.Utils.NumberUtils.IsNumber(System.Object)
  commentId: M:adas_core.Domain.Utils.NumberUtils.IsNumber(System.Object)
  isExternal: true
  href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_IsNumber_System_Object_
  name: IsNumber(object)
  nameWithType: NumberUtils.IsNumber(object)
  fullName: adas_core.Domain.Utils.NumberUtils.IsNumber(object)
  nameWithType.vb: NumberUtils.IsNumber(Object)
  fullName.vb: adas_core.Domain.Utils.NumberUtils.IsNumber(Object)
  name.vb: IsNumber(Object)
  spec.csharp:
  - uid: adas_core.Domain.Utils.NumberUtils.IsNumber(System.Object)
    name: IsNumber
    href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_IsNumber_System_Object_
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: adas_core.Domain.Utils.NumberUtils.IsNumber(System.Object)
    name: IsNumber
    href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_IsNumber_System_Object_
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: adas_core.Domain.Utils.NumberUtils
  commentId: T:adas_core.Domain.Utils.NumberUtils
  parent: adas_core.Domain.Utils
  href: adas_core.Domain.Utils.NumberUtils.html
  name: NumberUtils
  nameWithType: NumberUtils
  fullName: adas_core.Domain.Utils.NumberUtils
- uid: adas_core.Domain.Utils.NumberUtils.ToDouble(System.Object)
  commentId: M:adas_core.Domain.Utils.NumberUtils.ToDouble(System.Object)
  isExternal: true
  href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_ToDouble_System_Object_
  name: ToDouble(object)
  nameWithType: NumberUtils.ToDouble(object)
  fullName: adas_core.Domain.Utils.NumberUtils.ToDouble(object)
  nameWithType.vb: NumberUtils.ToDouble(Object)
  fullName.vb: adas_core.Domain.Utils.NumberUtils.ToDouble(Object)
  name.vb: ToDouble(Object)
  spec.csharp:
  - uid: adas_core.Domain.Utils.NumberUtils.ToDouble(System.Object)
    name: ToDouble
    href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_ToDouble_System_Object_
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: adas_core.Domain.Utils.NumberUtils.ToDouble(System.Object)
    name: ToDouble
    href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_ToDouble_System_Object_
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: adas_core.Domain.Utils.ObjectUtils.ToStr(System.Object)
  commentId: M:adas_core.Domain.Utils.ObjectUtils.ToStr(System.Object)
  isExternal: true
  href: adas_core.Domain.Utils.ObjectUtils.html#adas_core_Domain_Utils_ObjectUtils_ToStr_System_Object_
  name: ToStr(object)
  nameWithType: ObjectUtils.ToStr(object)
  fullName: adas_core.Domain.Utils.ObjectUtils.ToStr(object)
  nameWithType.vb: ObjectUtils.ToStr(Object)
  fullName.vb: adas_core.Domain.Utils.ObjectUtils.ToStr(Object)
  name.vb: ToStr(Object)
  spec.csharp:
  - uid: adas_core.Domain.Utils.ObjectUtils.ToStr(System.Object)
    name: ToStr
    href: adas_core.Domain.Utils.ObjectUtils.html#adas_core_Domain_Utils_ObjectUtils_ToStr_System_Object_
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: adas_core.Domain.Utils.ObjectUtils.ToStr(System.Object)
    name: ToStr
    href: adas_core.Domain.Utils.ObjectUtils.html#adas_core_Domain_Utils_ObjectUtils_ToStr_System_Object_
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: adas_core.Domain.Utils.ObjectUtils
  commentId: T:adas_core.Domain.Utils.ObjectUtils
  parent: adas_core.Domain.Utils
  href: adas_core.Domain.Utils.ObjectUtils.html
  name: ObjectUtils
  nameWithType: ObjectUtils
  fullName: adas_core.Domain.Utils.ObjectUtils
- uid: adas_core.Domain.Utils
  commentId: N:adas_core.Domain.Utils
  href: adas_core.html
  name: adas_core.Domain.Utils
  nameWithType: adas_core.Domain.Utils
  fullName: adas_core.Domain.Utils
  spec.csharp:
  - uid: adas_core
    name: adas_core
    href: adas_core.html
  - name: .
  - uid: adas_core.Domain
    name: Domain
    href: adas_core.Domain.html
  - name: .
  - uid: adas_core.Domain.Utils
    name: Utils
    href: adas_core.Domain.Utils.html
  spec.vb:
  - uid: adas_core
    name: adas_core
    href: adas_core.html
  - name: .
  - uid: adas_core.Domain
    name: Domain
    href: adas_core.Domain.html
  - name: .
  - uid: adas_core.Domain.Utils
    name: Utils
    href: adas_core.Domain.Utils.html
- uid: adas_core.Domain.Models.Filter.PaginationFilter.#ctor*
  commentId: Overload:adas_core.Domain.Models.Filter.PaginationFilter.#ctor
  href: adas_core.Domain.Models.Filter.PaginationFilter.html#adas_core_Domain_Models_Filter_PaginationFilter__ctor
  name: PaginationFilter
  nameWithType: PaginationFilter.PaginationFilter
  fullName: adas_core.Domain.Models.Filter.PaginationFilter.PaginationFilter
  nameWithType.vb: PaginationFilter.New
  fullName.vb: adas_core.Domain.Models.Filter.PaginationFilter.New
  name.vb: New
- uid: System.Int32
  commentId: T:System.Int32
  parent: System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.int32
  name: int
  nameWithType: int
  fullName: int
  nameWithType.vb: Integer
  fullName.vb: Integer
  name.vb: Integer
- uid: adas_core.Domain.Models.Filter.FilteredRequest
  commentId: T:adas_core.Domain.Models.Filter.FilteredRequest
  parent: adas_core.Domain.Models.Filter
  href: adas_core.Domain.Models.Filter.FilteredRequest.html
  name: FilteredRequest
  nameWithType: FilteredRequest
  fullName: adas_core.Domain.Models.Filter.FilteredRequest
- uid: adas_core.Domain.Models.Filter.PaginationFilter.PageNumber*
  commentId: Overload:adas_core.Domain.Models.Filter.PaginationFilter.PageNumber
  href: adas_core.Domain.Models.Filter.PaginationFilter.html#adas_core_Domain_Models_Filter_PaginationFilter_PageNumber
  name: PageNumber
  nameWithType: PaginationFilter.PageNumber
  fullName: adas_core.Domain.Models.Filter.PaginationFilter.PageNumber
- uid: adas_core.Domain.Models.Filter.PaginationFilter.PageSize*
  commentId: Overload:adas_core.Domain.Models.Filter.PaginationFilter.PageSize
  href: adas_core.Domain.Models.Filter.PaginationFilter.html#adas_core_Domain_Models_Filter_PaginationFilter_PageSize
  name: PageSize
  nameWithType: PaginationFilter.PageSize
  fullName: adas_core.Domain.Models.Filter.PaginationFilter.PageSize
- uid: adas_core.Domain.Models.Filter.PaginationFilter.FilteredRequest*
  commentId: Overload:adas_core.Domain.Models.Filter.PaginationFilter.FilteredRequest
  href: adas_core.Domain.Models.Filter.PaginationFilter.html#adas_core_Domain_Models_Filter_PaginationFilter_FilteredRequest
  name: FilteredRequest
  nameWithType: PaginationFilter.FilteredRequest
  fullName: adas_core.Domain.Models.Filter.PaginationFilter.FilteredRequest
- uid: adas_core.Domain.Models.Filter.PaginationFilter.IsEmpty*
  commentId: Overload:adas_core.Domain.Models.Filter.PaginationFilter.IsEmpty
  href: adas_core.Domain.Models.Filter.PaginationFilter.html#adas_core_Domain_Models_Filter_PaginationFilter_IsEmpty
  name: IsEmpty
  nameWithType: PaginationFilter.IsEmpty
  fullName: adas_core.Domain.Models.Filter.PaginationFilter.IsEmpty
- uid: System.Boolean
  commentId: T:System.Boolean
  parent: System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.boolean
  name: bool
  nameWithType: bool
  fullName: bool
  nameWithType.vb: Boolean
  fullName.vb: Boolean
  name.vb: Boolean
